# A Python program to generate squares from 1 to 100 using yield.

# An infinite generator that prints square numbers, starting with 1.
def nextSquare():
    i = 1
    while True:
        yield i*i
        i += 1


# Code that uses nextSquare() to print numbers.
for num in nextSquare():
    if num > 100:
        break
    print(num)
